package com.codegeist.fisheye.domain.query;

// matches a single word in the contents
public class ContentMatchesRestriction implements Restriction {

	private final String word;

	public ContentMatchesRestriction(String word) {
		this.word = word;
		// TODO check that it is a single word
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" content matches \"").append(word).append("\"");
		return buffer;
	}
}
