package com.cenqua.fisheye.user.plugin;

import java.util.Properties;

/**
 * Does not permit any access.
 */
public class NullFishEyeAuthenticator extends AbstractFishEyeAuthenticator {
    public void init(Properties cfg) {
    }

    public void close() {
    }

    public AuthToken checkPassword(String username, String password) {
        return null;
    }

    public AuthToken recreateAuth(String username) {
        return null;
    }

    public boolean hasPermissionToAccess(AuthToken tok, String repname, String constraint) {
        return false;
    }
}
